program prividenie;
var M,Ladan, Organ: integer;
L, O, Cn, Ck, Pn, Pk: boolean;
begin
M:=1;
Cn:=true;
Pn:=true;
Pk:=true;
repeat
writeln('Минута -', M);
if Cn then writeln('Смех есть') else  writeln('Смеха нет');
if Pn then writeln('Пение есть') else writeln('Пения нет');
writeln ('Будете зажигать ладан?');
readln (Ladan);
if Ladan=1 then L:=true else L:=false;
writeln ('Будете играть на органе?');
readln (Organ);
if Organ=1 then O:=true else O:=false ;
if L then  Ck:=Pn else Ck:=not Pn;
if O and not Cn then Pk:=not Pn;
Cn:=Ck;
Pn:=Pk;
M:=M+1;
until M=5
end.
